Xampp Team - Please Help

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Xampp Team - Please Help

Postby sum » 26. October 2007 10:45

This morning I have installed xampp 1.6.4 on Ubuntu 7.10, worked very nicely. No problems.

Php 4.4 and php 5.2 working fine, tested them all fine. Is there any possibility of installing another version 4.3 as well into the packag

Basically need

Php4.3
php4.4
php5.2

Please Help.

Thanks in advance.
sum
 
Posts: 6
Joined: 26. October 2007 10:35

Postby slowyaroll » 27. October 2007 17:09

Sounds like you're starting to get into the realm of FastCGI processes and such (i.e. you're beyond the scope of XAMPP).
I wondered why the frisbee got bigger and bigger. . .then it hit me
slowyaroll
 
Posts: 20
Joined: 11. April 2007 07:23
Location: Atlanta, Georgia [US]

Postby sum » 29. October 2007 14:41

Come on guys, there must be some solution. I not going to run all three at one time. My project requirement is to first test the software on 4.3 and upgrade the software and php to 4.4 and then at last to 5.2.

Apache and mysql remains same. Only the php part.

4.3
4.4
5.2

Is there any alternative solutions.

Please help.....
sum
 
Posts: 6
Joined: 26. October 2007 10:35

Postby Wiedmann » 29. October 2007 14:59

Is there any alternative solutions.

Don't use XAMPP.

(Or maybe install 3 different XAMPP versions, which includes the needed PHP versions)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby sum » 29. October 2007 15:59

Hi There,

Thanks for your kind suggest. I have already installed the latest version of XAMPP which has given me php4.4 and php5.2. Fair enough.

I will install another old installation in some another folder which will give me another version php4.3

Just would like to know is it possible to use one mysql installation for all three php versions.

Another in the lastest version i have installed mysql 5.0 but need to downgrade to Mysql 4.0 and use that installation for all three php version.

Please help....

Cheers.
sum
 
Posts: 6
Joined: 26. October 2007 10:35

Postby slowyaroll » 29. October 2007 16:34

Okay, I won't say you're starting to get outside of the realm of XAMPP. Why? You ARE outside the realm of HTTP. As I said previously, you'll want to consider FastCGI for such a customized installation?

Do you have multiple machines to test this with? If so, I suggest you try setting up the current version of XAMPP. On a separate machine, you setup previous versions of XAMPP, so you can get the desired PHP version, then use ReverseProxies to link to the other machines. I've done that for testing how applications run in various PHP environments, all while using the same MySQL instance.
I wondered why the frisbee got bigger and bigger. . .then it hit me
slowyaroll
 
Posts: 20
Joined: 11. April 2007 07:23
Location: Atlanta, Georgia [US]

Postby sum » 29. October 2007 16:53

Do you mean php in fastcgi mode. if Yes, My software does not work on that.

I have installed ubuntu linux with the help of vmware on windows xp machine, so multiple machines will not be a problem. Think so????

Would it be possible to tell bit more about reverseproxies to link to the other machines, I have not done this before.

Need to set up an environment which will provide me php4.3, php4.4 and php5.2, for all these php versions I need apache2 with mysql4.0

Much appreciated.
sum
 
Posts: 6
Joined: 26. October 2007 10:35

Postby slowyaroll » 29. October 2007 17:13

:( I'll do my best to explain what you'll want to do.

You already have one installation of Ubuntu (via la ubuntu!!!) with XAMPP. You're 1/3 of the way there.

Hopefully you'll have enough ram to do so, but you'll want to create 2 more virtual machines using vmware. Once you have them setup, give them static IP's and install XAMPP running the correct version of PHP you need.

On your original xampp install, you'll edit the VirtualHost directive and add
Code: Select all
ProxyPass /php4_3 http://IPADDRESS_OF_PHP4.3_INSTALL/
ProxyPassReverse /php4_3 http://IPADDRESS_OF_PHP4.3_INSTALL/

ProxyPass /php4_4 http://IPADDRESS_OF_PHP4.4_INSTALL/
ProxyPassReverse /php4_4 http://IPADDRESS_OF_PHP4.4_INSTALL/


You can Google around for the specifics of Reverse Proxies in Apache.

MySQL 4.0 ? I don't remember the last version of XAMPP that ran MySQL 4.0. Did you mean MySQL 4.1.x? You might want to run MySQL in a totally isolated instance. Your needs sound pretty customized which leads me to believe that allbeit great, XAMPP is not geared towards what you need. Anything really complex, I use custom setups on whichever OS I need. XAMPP is a good way to get simple things up and running quickly, but something as custom as what you're looking for requires a little more legwork on your end to get setup.
I wondered why the frisbee got bigger and bigger. . .then it hit me
slowyaroll
 
Posts: 20
Joined: 11. April 2007 07:23
Location: Atlanta, Georgia [US]


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests